%define libdbmusic_version 0.8.4

Summary:	A Music Collection Manager with CDDB support
Name:		kmusicdb
Version: 	0.12.3
Release:	%mkrel 2
License:	GPL
Group:     Sound 
Url:       http://kmusicdb.sourceforge.net 
Source:     %{name}-%{version}.tar.bz2
Source1:   kmusicdb-48.png
Source2:   kmusicdb-32.png
Source3:   kmusicdb-16.png
Patch0:    kmusicdb-0.12.3-fix-invalid-destkop.patch 
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot 
Requires:  libdbmusic >= %{libdbmusic_version}
Requires:  postgresql >= 8.1
BuildRequires: autoconf
BuildRequires: libdbmusic-devel >= %{libdbmusic_version}
BuildRequires: kdelibs-devel
BuildRequires: libfam-devel
BuildRequires: postgresql-devel 
BuildRequires: desktop-file-utils

%description
KmusicdB is a music collection manager for KDE3, using a PostgreSQL backend.  

Features:
A backend capable of connecting to or creating postgreSQL databases.
The ability to backup or restore these databases.               
A clean and stable interface.               
Adding, editing or deleting artists.               
Customizable main display.               
Adding, editing, deleting titles (including album cover pic).	
Adding, editing or deleting tracks. Easy to use editor.               
Customizable startup options.
Customizable defaults for artists, titles, databases, CDDB, etc.               
An attempt at being fast and efficien.               
Flexible design, most popups are implemented non-modal.               
Add/edit/delete format/boxset/genre/label/method/type/bands to explore.
Type is for Single, LP, etc.
Format is for MiniDisc, DVD, CD, Vinyl, etc.
Method is Live, Studio, etc.
Ability to generate customizable reports
(sort, colors, restrict by collected, not collected, dates, font)
Reports include: Artist, Collection, Date Range, Bands To Explore, Statistics, 
Tracks By Title, Titles By  Artist, Top Titles and Custom
The statistics report has a LOT of information on your database.
Including sums of artists, titles, tracks and length of tracks.
A listing of each category by how many of each and a percentage of the total. 	
Also are 2 methods of searching your database.	
CDDB support (CDDBP, HTTP and proxy).  
Local CDDB lookup via KSCD.	
Multi-user friendly.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0

%build
export WANT_AUTOCONF_2_5=1
%configure2_5x --disable-rpath --with-dbmdir=%{_libdir} \
  --with-qt-dir=%{qt3dir}  --with-qt-includes=%{qt3include} \
  --with-qt-libraries=%{qt3lib}
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 
 
mkdir -p %buildroot%{_datadir}/applications/kde
desktop-file-install --vendor="" --delete-original \
  --remove-category="Application" \
  --add-category="Qt" \
  --add-category="KDE" \
  --add-category="Database" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/*

mkdir -p $RPM_BUILD_ROOT{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
cp %{SOURCE1} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
cp %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
cp %{SOURCE3} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL README TODO 
%doc %{_docdir}/kde/HTML/en/%{name}
%{_bindir}/*
%{_datadir}/applications/kde/*.desktop
%{_datadir}/apps/%{name}/kmusicdbui.rc
%{_datadir}/icons/hicolor/*/apps/*.png
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog
* Tue Feb 12 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.12.3-2mdv2008.1
+ Revision: 166641
- fix description-line-too-long
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Aug 25 2007 Funda Wang <fundawang@mandriva.org> 0.12.3-2mdv2008.0
+ Revision: 71114
- fix invalid desktop file
- explicitly specify the qt3 dirs

* Tue Jun 26 2007 Funda Wang <fundawang@mandriva.org> 0.12.3-1mdv2008.0
+ Revision: 44470
- added additional dir specification
- fix file list
- New version


* Sun Sep 17 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-09-16 16:08:27 (61758)
- Add xdg keyword

* Sun Sep 17 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-09-16 16:06:34 (61757)
- XDG

* Fri Aug 04 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-08-03 03:48:22 (43133)
- import kmusicdb-0.12.2-2mdk

* Fri Apr 21 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.12.2-2mdk
- Add BuildRequires

* Sat Apr 15 2006 Jerome Martin <jmartin@mandriva.org> 0.12.2-1mdk
- 0.12.2

